Articles of gestión de packages

¿Cuáles son los mejores informes para Cent OS 5.7?

¿Cuáles son los mejores informes para Cent OS 5.7? ¿Debo instalar apt-get y usar otros packages Deb en Cent OS? Principalmente utilicé Ubuntu, que es realmente fácil de actualizar cualquier package.

No se pueden instalar loop-aes-utils en debian 8.0

Necesito instalar el package loop-aes-utils en Debian 8.0 para seguir este tutorial de Ubuntu. Sin embargo, no está en el package oficial de Debian. ¿Sería el package de aespipe o es otro package? # apt-cache search aes | grep loop aespipe – AES-encryption tool with loop-AES support Mi file sources.list : # /etc/apt/sources.list deb tor+http://ftp.us.debian.org/debian/ […]

Instalar packages de rpm y resolver dependencies en un dispositivo incorporado

Tengo un dispositivo integrado con RPM activado (sin Yum). La manera en que instalo los packages ahora es descargando el file .rpm correcto de rpmfind.net y ejecutando rpm -i package.rpm . Este process se repite para cada biblioteca faltante hasta que finalmente se ejecuta el progtwig. Debe haber una mejor manera de hacerlo. ¿Puedo resolver […]

Cómo pkg elige sus repositorys (FreeBSD 10)

Estoy usando pfSense, que usa una base personalizada de FreeBSD 10. pkg -vv muestra las siguientes definiciones relevantes: PKG_DBDIR = "/var/db/pkg"; PKG_CACHEDIR = "/var/cache/pkg"; PORTSDIR = "/usr/ports"; REPOS_DIR [ "/etc/pkg/", "/usr/local/etc/pkg/repos/", ] Repositories: pfSense-core: { url : "pkg+https://pkg.pfsense.org/pfSense_v2_3_2_amd64-core", enabled : yes, priority : 0, mirror_type : "SRV" } pfSense: { url : "pkg+https://pkg.pfsense.org/pfSense_v2_3_2_amd64-pfSense_v2_3_2", enabled : […]

RHEL reposync, interfaz de gestión?

Estoy buscando configurar reposync para un estado de Linux en RHEL y estaba vagando si alguien sabía si existía un tipo de complemento de interfaz web para administrarlo. Como punto de reference, algo similar a WSUS en Windows, o Plesk para una stack LAMP. Estuve buscando a Github y aún no he encontrado nada. Gracias

¿Cómo se determina el estado deseado en el Administrador de packages de Debian?

Por ejemplo, si ejecuto el siguiente command dpkg -l '*compiz*' el resultado es el siguiente: Desinetworking=Unknown/Install/Remove/Purge/Hold | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend |/ Err?=(none)/Reinst-requinetworking (Status,Err: uppercase=bad) ||/ Name Version Architecture Description +++-==============-============-============-================================= pi compiz 1:0.9.12.2+1 all OpenGL window and compositing man ii compiz-core 1:0.9.12.2+1 amd64 OpenGL window and compositing man un compiz-core-ab <none> <none> (no description available) [more output […]

Cómo asegurarme de haber desinstalado correctamente mi gestor de packages en Mac OS X

Tengo una MacBook Pro con macOS High Sierra, y necesitaba download un administrador de packages para un proyecto de Octave. Ya tenía Docker antes de esto. Descargué Homebrew, MacPorts y no me di count de que solo necesitaba un administrador de packages. Solo quiero Homebrew y necesito desinstalar correctamente y completamente MacPorts y jugar. Creo […]

¿Cuál es la mejor list de repo de CentOS 6 para las stacks de LAMP?

Me estoy metiendo en la administración del server y ahora todo el mundo necesita algo. Últimamente me estoy quedando atrapado en la búsqueda de packages, por lo que estoy en la búsqueda para encontrar la list de repo más completa de packages LAMP. ¿Qué repositorys usa en su list para los resources de LAMP y […]

Hacer un seguimiento de las últimas versiones

¿Cómo hace la gente un seguimiento de los últimos softwares lanzados? Déjame decir un grupo de distribución como slackware. Una distribución tiene ~ 25K + packages y aproximadamente una veintena de personas involucradas. No creo que estas personas sigan revisando el sitio de desarrolladores individuales para ver si han lanzado algo. ¿Hay una manera automática? […]

apt-get update y authentication de package

Algunas veces, cuando intentas instalar apt-get en un progtwig, obtienes un post de advertencia sobre cómo algunos packages no pudieron ser autenticados. Hacer una actualización de apt-get a veces solucionará el problema, pero a veces no lo hará. ¿Cómo funciona la actualización de apt-get para solucionar este problema? ¿Este tipo de authentication implica necesariamente ssl? […]